Create a repair task
POST
/v1/repair-taskscurl -X POST 'https://api.embodiflow.io/v1/repair-tasks' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"projectId": "00000000-0000-0000-0000-000000000000",
"scopeType": "project",
"datasetId": "00000000-0000-0000-0000-000000000000",
"datasetVersionId": "00000000-0000-0000-0000-000000000000",
"sourceType": "health-check",
"sourceId": "00000000-0000-0000-0000-000000000000",
"title": "string",
"description": "string",
"severity": "info",
"assigneeProjectMembershipId": "00000000-0000-0000-0000-000000000000",
"dueAt": "string"
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Header parameters
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
Request body
Content-Typeapplication/json
- projectIdstring (uuid)required
- scopeTypestringrequiredAllowed valuesprojectdatasetdataset_version
- datasetIdstring (uuid) | null
- datasetVersionIdstring (uuid) | null
- sourceTypestringrequiredAllowed valueshealth-checkworkflow-runworkflow_itemquality-ruleannotation-gapexport-jobpolicy-gatecollection-delivery-batchcollection-submission
- sourceIdstring (uuid)required
- titlestring | null
- descriptionstring | null
- severitystringAllowed valuesinfowarningblocking
- assigneeProjectMembershipIdstring (uuid) | null
- dueAtstring | null
Responses
Success
- dataobjectrequired
- idstringrequired
- tenantIdstringrequired
- projectIdstringrequired
- scopeTypestringrequiredAllowed valuesdatasetprojectdataset_version
- datasetIdstring | nullrequired
- datasetVersionIdstring | nullrequired
- sourceTypestringrequiredAllowed valueshealth-checkworkflow-runworkflow_itemquality-ruleannotation-gapexport-jobpolicy-gatecollection-delivery-batchcollection-submission
- sourceIdstringrequired
- titlestring | nullrequired
- descriptionstring | nullrequired
- severitystringrequiredAllowed valueswarninginfoblocking
- statusstringrequiredAllowed valuesin_progressopenresolvedwaived
- assigneeobjectrequired
- dueAtstring | nullrequired
- resolutionstring | nullrequiredAllowed valuesfixedwaivedduplicatenot_reproducible
- waiveReasonstring | nullrequired
- waivedAtstring | nullrequired
- waivedByobjectrequired
- resolvedAtstring | nullrequired
- createdAtstringrequired
- updatedAtstringrequired
- deduplicatedone of
Response example
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"scopeType": "dataset",
"datasetId": "string",
"datasetVersionId": "string",
"sourceType": "health-check",
"sourceId": "string",
"title": "string",
"description": "string",
"severity": "warning",
"status": "in_progress",
"assignee": {
"projectMembershipId": "string",
"membershipId": "string",
"displayName": "string"
},
"dueAt": "string",
"resolution": "fixed",
"waiveReason": "string",
"waivedAt": "string",
"waivedBy": {
"membershipId": "string",
"displayName": "string"
},
"resolvedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"deduplicated": false
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1